0 Replies Latest reply on Nov 21, 2008 10:12 PM by Francisco Jose Peredo Noguez

    Release Quality: Please use only non Beta software as dependency

    Francisco Jose Peredo Noguez Master

      Hi!


      I am a worried about the changes in the quality of .jars for Seam 2.1.0SP1, first I detected that Seam changed from 1.1.14 to 1.1.15BETA1 in jsf-facelets.jar as described here, when I reported in JBSEAM-3737 I was told to:


      Report facelets issues in the facelets issue tracker. 
      



      But this is not a facelets issue, this is a Seam issue, why is seam using an unstable release for JBoss Seam 2.1SP1, AFAIK JBoss Seam 2.1SP1 is a Production release...


      Now I am also worried because the Mojarra JSF  included in Seam is also a beta version: 1.2_09-b01-BETA1 wich I believe will not be as solid as the version 1.2_04-b16-p02 in Seam 2.0.x, if I request for it to be changed for an stable release non BETA... will I get the same answer?


      Why Seam does not have a release policy saying something like: Production releases should not have a core dependency with third party software that is still BETA software?


      Regards,